Package Details: pgrouting 2.6.0-1

Git Clone URL: https://aur.archlinux.org/pgrouting.git (read-only)
Package Base: pgrouting
Description: Adds routing functionality to PostGIS/PostgreSQL
Upstream URL: http://pgrouting.org/
Keywords: GIS network topology
Licenses: GPL2
Submitter: Misery
Maintainer: backerman
Last Packager: backerman
Votes: 8
Popularity: 0.462986
First Submitted: 2008-07-11 23:14
Last Updated: 2018-03-23 02:22

Latest Comments

backerman commented on 2018-02-25 20:20

The PKGBUILD works fine if I change version to 2.5.2. Also the psotgis dependency should now be >= 2.0.

znmeb commented on 2018-01-19 02:38

still out of date / failing to compile as of 2018-01-18 ... is this package orphaned?

maryanoo commented on 2017-11-11 07:45

Been trying to build this version (same error there is in version from github 2.5.1). And I got:
[ 57%] Building C object src/alpha_shape/src/CMakeFiles/alpha_shape.dir/alpha.c.o
/home/mariusz/pgrouting/src/pgrouting-2.3.1/src/alpha_shape/src/alpha.c: In function ‘alphashape’:
/home/mariusz/pgrouting/src/pgrouting-2.3.1/src/alpha_shape/src/alpha.c:309:16: error: ‘DBL_MAX’ undeclared (first use in this function); did you mean ‘AF_MAX’?
if (x == DBL_MAX && y == DBL_MAX) {
^~~~~~~
AF_MAX
/home/mariusz/pgrouting/src/pgrouting-2.3.1/src/alpha_shape/src/alpha.c:309:16: note: each undeclared identifier is reported only once for each function it appears in
make[2]: *** [src/alpha_shape/src/CMakeFiles/alpha_shape.dir/build.make:63: src/alpha_shape/src/CMakeFiles/alpha_shape.dir/alpha.c.o] Błąd 1
make[1]: *** [CMakeFiles/Makefile2:683: src/alpha_shape/src/CMakeFiles/alpha_shape.dir/all] Błąd 2
[edit]
After upgrade to 2.5.2 seems to work.

saultdon commented on 2016-08-09 19:05

I've updated to current release 2.2.3 but there is an error in the build which I've reported to upstream and waiting for a fix or suggestions.

sjewo commented on 2013-05-03 12:32

Here is a fixed PKGBUILD for boost 1.53
https://github.com/sjewo/pgrouting-pkgbuild

Detailed information about the problem: https://github.com/pgRouting/pgrouting/issues/77

Misery commented on 2011-09-02 19:46

Current pgrouting 1.05 does not compile with current boost (1.47). Try git version until pgrouting gets a new release: https://github.com/pgRouting/pgrouting